Subject: Re: Cygwin to make ext2fs, xfs, reiserfs aware in windows
From: Reini Urban <[email-masked]>
To: pavitrasoft <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Mar 2004 13:37:35 +0100

ntfsd__AT__pavitrasoft schrieb:
> What would be best way to make cygwin dll aware of existence of UNIX 
> file systems ext2fs, ffs, nfs, xfs and reiserfs.  

The best way would be to arrange your license to be compatible with 
cygwin, provide the cxvfsmgr service as cygwin package and patch 
cygwin.dll and the fileutils (soon coreutils) to use cxvfsmgr.
And as cygwin package you can get rid of your bugs much faster, I guess.

For sure someone else will try to provide these patches also, but if the 
license issues are not cleared before nobody will do this for sure.
Your current download has no sources and an cygwin-incompatible license.

The features sound cool to me.

> Currently with our 
> software Crossmeta it will go through windows layer and the results 
> will not be good. It will have the same problem of ls -l taking lot of 
> time and security uid/gid mapping confusion.  Instead if it can be 
> converted to make use of VFS style calls getdents, stat ..etc directly 
> to crossmeta the results will be great. Crossmeta also provides windows 
> native file system via loopback file system driver.
> I am guessing the file handler code would be the starting point for 
> this and replace dll entry points for those. Is this going to be lot of 
> effort?
> 
> PS:
> Crossmeta can be downloaded from 
> http://www.pavitrasoft.com/products/crossmeta/
> Crossmeta - FFS, nfs, ext2fs, reiserfs and xfs file system for Windows
> Download here http://www.pavitrasoft.com/
-- 
Reini Urban
http://xarch.tu-graz.ac.at/home/rurban/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/